curl -X PATCH https://api.agentcard.sh/api/v2/webhook_endpoints/we_7h2k9p4m \
-H "Authorization: Bearer $ORG_TOKEN" \
-H "Content-Type: application/json" \
-d '{"status": "disabled"}'
{
"id": "we_7h2k9p4m",
"object": "webhook_endpoint",
"url": "https://your.app/agentcard/webhooks",
"enabled_events": ["vault.card_stored", "checkout_authorization.*"],
"status": "disabled",
"description": "Production checkout events",
"created_at": "2026-09-07T17:00:00Z"
}
Webhook endpoints
Update a webhook endpoint
Change the URL, the events, the description, or pause deliveries.
PATCH
/
api
/
v2
/
webhook_endpoints
/
{id}
curl -X PATCH https://api.agentcard.sh/api/v2/webhook_endpoints/we_7h2k9p4m \
-H "Authorization: Bearer $ORG_TOKEN" \
-H "Content-Type: application/json" \
-d '{"status": "disabled"}'
{
"id": "we_7h2k9p4m",
"object": "webhook_endpoint",
"url": "https://your.app/agentcard/webhooks",
"enabled_events": ["vault.card_stored", "checkout_authorization.*"],
"status": "disabled",
"description": "Production checkout events",
"created_at": "2026-09-07T17:00:00Z"
}
curl -X PATCH https://api.agentcard.sh/api/v2/webhook_endpoints/we_7h2k9p4m \
-H "Authorization: Bearer $ORG_TOKEN" \
-H "Content-Type: application/json" \
-d '{"status": "disabled"}'
{
"id": "we_7h2k9p4m",
"object": "webhook_endpoint",
"url": "https://your.app/agentcard/webhooks",
"enabled_events": ["vault.card_stored", "checkout_authorization.*"],
"status": "disabled",
"description": "Production checkout events",
"created_at": "2026-09-07T17:00:00Z"
}